__gnu_cxx::free_list(3)

NAME
__gnu_cxx::free_list - The free list class for managing chunks of memory to be given to and returned by the bitmap_allocator.

SYNOPSIS

  Public Types
typedef __mutex __mutex_type
typedef vector_type::iterator iterator
typedef std::size_t * value_type
typedef __detail::__mini_vector< value_type > vector_type

  Public Member Functions
void _M_clear ()
This function just clears the internal Free List, and gives back all the memory to the OS.
std::size_t * _M_get (std::size_t __sz)
This function gets a block of memory of the specified size from the free list.
void _M_insert (std::size_t *__addr) throw ()
This function returns the block of memory to the internal free list.

Detailed Description

The free list class for managing chunks of memory to be given to and returned by the bitmap_allocator.

Definition at line 516 of file bitmap_allocator.h.

Member Function Documentation

  void __gnu_cxx::free_list::_M_clear ()

This function just clears the internal Free List, and gives back all the memory to the OS.

  std::size_t* __gnu_cxx::free_list::_M_get (std::size_t __sz)

This function gets a block of memory of the specified size from the free list.

Parameters
    __sz The size in bytes of the memory required.

Returns
    A pointer to the new memory block of size at least equal to that requested.

  void __gnu_cxx::free_list::_M_insert (std::size_t * __addr) [inline]

This function returns the block of memory to the internal free list.

Parameters
    __addr The pointer to the memory block that was given by a call to the _M_get function.

Definition at line 626 of file bitmap_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.